PR_GET_IO_FLUSHER(2const)

NAME
PR_GET_IO_FLUSHER - get the IO_FLUSHER state

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_IO_FLUSHER, 0L, 0L, 0L, 0L);

DESCRIPTION
Return the IO_FLUSHER state of the caller. A value of 1 indicates that the caller is in the IO_FLUSHER state; 0 indicates that the caller is not in the IO_FLUSHER state.

The calling process must have the CAP_SYS_RESOURCE capability.

RETURN VALUE
On success, this call returns the boolean value described above. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 5.6.

SEE ALSO
prctl(2), PR_SET_IO_FLUSHER(2const)